GET /v1/organizations/{orgId}/cu/usage
Get CU usage breakdown for a specific month

Path Parameters

orgId string required path
Organization ID

Query Parameters

yearMonth string required query
Year-Month in YYYY-MM format

Request Body

application/json

Responses

200 OK
application/json
code integer
data object
daily object[]
Array of:
breakdown object[]
Array of:
count integer
cu number
nodeType string
type string
"trigger" or "action"
date string
used number
summary object
deposited number
granted number
used number
yearMonth string
message string
requestId string
400 Bad Request
404 Not Found
500 Internal Server Error
curl -X GET 'https://api.example.com/v1/organizations/string/cu/usage?yearMonth=string' \  -H 'Authorization: Bearer YOUR_API_TOKEN' \  -H 'Content-Type: application/json' \  -d '{}'
const response = await fetch('https://api.example.com/v1/organizations/string/cu/usage?yearMonth=string', {  method: 'GET',  headers: {      "Authorization": "Bearer YOUR_API_TOKEN",      "Content-Type": "application/json"  },  body: JSON.stringify({})});const data = await response.json();console.log(data);
import requestsheaders = {    'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://api.example.com/v1/organizations/string/cu/usage?yearMonth=string', headers=headers, json={})print(response.json())
package mainimport (	"fmt"	"io"	"net/http"	"strings")func main() {	body := strings.NewReader(`{}`)	req, _ := http.NewRequest("GET", "https://api.example.com/v1/organizations/string/cu/usage?yearMonth=string", body)	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")	req.Header.Set("Content-Type", "application/json")	resp, _ := http.DefaultClient.Do(req)	defer resp.Body.Close()	result, _ := io.ReadAll(resp.Body)	fmt.Println(string(result))}
200 Response
{  "code": 0,  "data": {    "daily": [      {        "breakdown": [          {            "count": {},            "cu": {},            "nodeType": {},            "type": {}          }        ],        "date": "<string>",        "used": 123      }    ],    "summary": {      "deposited": 123,      "granted": 123,      "used": 123    },    "yearMonth": "<string>"  },  "message": "successfully",  "requestId": "req_abc123"}
Ask a question... ⌘I